## ru.biosoft.plugins.jri
Class RObjectSupport

    java.lang.Object
      org.rosuda.REngine.REngine
          ru.biosoft.plugins.jri.RObjectSupport

All Implemented Interfaces:
  RObject

Direct Known Subclasses:
  LocalRObject, RServeRObject

    public abstract class RObjectSupport

extends org.rosuda.REngine.REngine
implements RObject

Constructor Summary
`RObjectSupport()`

Method Summary
`abstract void` | `assign(java.lang.String symbol, org.rosuda.REngine.REXP value, org.rosuda.REngine.REXP env)`
`void` | `assignObject(java.lang.String symbol, java.lang.Object value)` Assign object to R environment
`static org.rosuda.REngine.REXP` | `getREXPObject(java.lang.Object obj)`
`void` | `help(java.lang.String expression)` Show help page
`void` | `newSession()` Create new R session
`void` | `openSession(java.lang.String name)` Open R session by name
`void` | `saveSession(java.lang.String name)` Save R session
`void` | `setEnvironmentProvider(ru.biosoft.plugins.javascript.JSEnvironmentProvider envProvider)`

Methods inherited from class org.rosuda.REngine.REngine
`assign, assign, assign, assign, assign, assign, close, createReference, engineForClass, eval, finalizeReference, get, getLastEngine, getParentEnvironment, newEnvironment, parse, parseAndEval, parseAndEval, resolveReference, supportsEnvironemnts, supportsReferences, supportsREPL, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.plugins.jri.RObject
`eval, voidEval`

Constructor Detail

### RObjectSupport

    public RObjectSupport()

Method Detail

### help

    public void help(java.lang.String expression)

  Description copied from interface: `RObject`
  Show help page

  Specified by:
    `help` in interface `RObject`

### assignObject

    public void assignObject(java.lang.String symbol,
                             java.lang.Object value)

  Description copied from interface: `RObject`
  Assign object to R environment

  Specified by:
    `assignObject` in interface `RObject`

### assign

    public abstract void assign(java.lang.String symbol,
                                org.rosuda.REngine.REXP value,
                                org.rosuda.REngine.REXP env)
                         throws org.rosuda.REngine.REngineException,
                                org.rosuda.REngine.REXPMismatchException

  Specified by:
    `assign` in class `org.rosuda.REngine.REngine`
  Throws:
    `org.rosuda.REngine.REngineException`
    `org.rosuda.REngine.REXPMismatchException`

### newSession

    public void newSession()

  Description copied from interface: `RObject`
  Create new R session

  Specified by:
    `newSession` in interface `RObject`

### saveSession

    public void saveSession(java.lang.String name)

  Description copied from interface: `RObject`
  Save R session

  Specified by:
    `saveSession` in interface `RObject`

### openSession

    public void openSession(java.lang.String name)

  Description copied from interface: `RObject`
  Open R session by name

  Specified by:
    `openSession` in interface `RObject`

### setEnvironmentProvider

    public void setEnvironmentProvider(ru.biosoft.plugins.javascript.JSEnvironmentProvider envProvider)

### getREXPObject

    public static org.rosuda.REngine.REXP getREXPObject(java.lang.Object obj)
                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright © 2001-2009 Biosof.Ru. All Rights Reserved.